Public Member Functions | Public Attributes | Private Member Functions | List of all members
RagTime5SpreadsheetInternal::CellPLCParser Struct Reference

Internal: the helper to read a list of cell to paragraph/char/... data. More...

Inheritance diagram for RagTime5SpreadsheetInternal::CellPLCParser:

## Public Member Functions
| CellPLCParser (Sheet &sheet, int which, int fieldSize, std::map< MWAWVec2i, int > const &numRowByPlanes)
| constructor More...
virtual | ~CellPLCParser ()
| destructor More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &zone, int n, libmwaw::DebugStream &f)
| try to parse a data More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...

## Public Attributes
int | m_which
| the type: 0=graphicStyles, 1=textStyles, 2=vertical border, 3=horizontal border More...
int | m_fieldSize
| the field size More...
int | m_row
| the actual row More...
MWAWVec2i | m_planes
| the actual plane set More...
Sheet & | m_sheet
| the actual sheet More...
std::map< MWAWVec2i, int > const | m_numRowByPlanes
| the number of row by planes More...
int | m_numRemainingRows
| the remaining row in the planes More...

## Private Member Functions
| CellPLCParser (CellPLCParser &orig)
| copy constructor, not implemented More...
CellPLCParser & | operator= (CellPLCParser &orig)
| copy operator, not implemented More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read a list of cell to paragraph/char/... data.

## Constructor & Destructor Documentation

## ◆ CellPLCParser() [1/2]

RagTime5SpreadsheetInternal::CellPLCParser::CellPLCParser | ( | Sheet & | sheet,
|  | int | which,
|  | int | fieldSize,
|  | std::map< MWAWVec2i, int > const & | numRowByPlanes
| ) |  |
| inline

constructor

## ◆ ~CellPLCParser()

RagTime5SpreadsheetInternal::CellPLCParser::~CellPLCParser | ( |  | ) |
| virtual

destructor

## ◆ CellPLCParser() [2/2]

RagTime5SpreadsheetInternal::CellPLCParser::CellPLCParser | ( | CellPLCParser & | orig | ) |
| private

copy constructor, not implemented

## Member Function Documentation

## ◆ operator=()

CellPLCParser& RagTime5SpreadsheetInternal::CellPLCParser::operator= | ( | CellPLCParser & | orig | ) |
| private

copy operator, not implemented

## ◆ parseData()

bool RagTime5SpreadsheetInternal::CellPLCParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | zone,
|  | int | n,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline virtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## ◆ m_fieldSize

int RagTime5SpreadsheetInternal::CellPLCParser::m_fieldSize

the field size

## ◆ m_numRemainingRows

int RagTime5SpreadsheetInternal::CellPLCParser::m_numRemainingRows

the remaining row in the planes

## ◆ m_numRowByPlanes

std::map<MWAWVec2i,int> const RagTime5SpreadsheetInternal::CellPLCParser::m_numRowByPlanes

the number of row by planes

## ◆ m_planes

MWAWVec2i RagTime5SpreadsheetInternal::CellPLCParser::m_planes

the actual plane set

## ◆ m_row

int RagTime5SpreadsheetInternal::CellPLCParser::m_row

the actual row

## ◆ m_sheet

Sheet& RagTime5SpreadsheetInternal::CellPLCParser::m_sheet

the actual sheet

## ◆ m_which

int RagTime5SpreadsheetInternal::CellPLCParser::m_which

the type: 0=graphicStyles, 1=textStyles, 2=vertical border, 3=horizontal border

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx